Eclipse Platform Release 3.7

## org.eclipse.jface.text
Interface IInformationControlCreatorExtension

All Known Implementing Classes:
  AbstractReusableInformationControlCreator

    public interface IInformationControlCreatorExtension

Extension interface for `IInformationControlCreator`

Introduces tests whether information controls can be reused and whether information control creators can replace each other.

Since:
  3.0
See Also:
  `IInformationControlCreator`, `IInformationControl`

Method Summary
`boolean` `canReplace(IInformationControlCreator creator)` Tests whether this information control creator can replace the given information control creator.
`boolean` `canReuse(IInformationControl control)` Tests if an existing information control can be reused.

Method Detail

### canReuse

    boolean canReuse(IInformationControl control)

  Tests if an existing information control can be reused.

  Parameters:
    `control` - the information control to test
  Returns:
    `true` if the control can be reused

### canReplace

    boolean canReplace(IInformationControlCreator creator)

  Tests whether this information control creator can replace the given information control creator. This is the case if the two creators create the same kind of information controls.

  Parameters:
    `creator` - the creator to be checked
  Returns:
    `true` if the given creator can be replaced, `false` otherwise

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.